<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__msg__vendor__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_msg_vendor_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__msg__vendor__t_1ab44feca5f7488d1301f526ef44a82657" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__hdr__t">wiced_bt_avrc_hdr_t</ref></type>
        <definition>wiced_bt_avrc_hdr_t wiced_bt_avrc_msg_vendor_t::hdr</definition>
        <argsstring />
        <name>hdr</name>
        <briefdescription>
<para>Message header. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="884" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="884" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__vendor__t_1ae395d6d1f86555abeeddc91d0c234b32" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_avrc_msg_vendor_t::company_id</definition>
        <argsstring />
        <name>company_id</name>
        <briefdescription>
<para>Company identifier. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="885" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="885" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__vendor__t_1afcaf19304a1b95665d2016ae221c49cb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_avrc_msg_vendor_t::p_vendor_data</definition>
        <argsstring />
        <name>p_vendor_data</name>
        <briefdescription>
<para>Pointer to vendor dependent data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="886" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="886" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__vendor__t_1a472f754cc95e8c9c702831544389a9b6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avrc_msg_vendor_t::vendor_len</definition>
        <argsstring />
        <name>vendor_len</name>
        <briefdescription>
<para>Length in bytes of vendor dependent data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="887" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="887" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>VENDOR DEPENDENT message. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="218">
        <label>wiced_bt_avrc_msg_vendor_t</label>
        <link refid="structwiced__bt__avrc__msg__vendor__t" />
        <childnode refid="219" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
      <node id="219">
        <label>wiced_bt_avrc_hdr_t</label>
        <link refid="structwiced__bt__avrc__hdr__t" />
      </node>
    </collaborationgraph>
    <location bodyend="888" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="882" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="883" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__msg__vendor__t_1ae395d6d1f86555abeeddc91d0c234b32" virt="non-virtual"><scope>wiced_bt_avrc_msg_vendor_t</scope><name>company_id</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__vendor__t_1ab44feca5f7488d1301f526ef44a82657" virt="non-virtual"><scope>wiced_bt_avrc_msg_vendor_t</scope><name>hdr</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__vendor__t_1afcaf19304a1b95665d2016ae221c49cb" virt="non-virtual"><scope>wiced_bt_avrc_msg_vendor_t</scope><name>p_vendor_data</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__vendor__t_1a472f754cc95e8c9c702831544389a9b6" virt="non-virtual"><scope>wiced_bt_avrc_msg_vendor_t</scope><name>vendor_len</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>